Package com.avaya.clientservices.media.audio

## Enum AudioMergeMode

- java.lang.Object
- - java.lang.Enum<AudioMergeMode>
  - - com.avaya.clientservices.media.audio.AudioMergeMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioMergeMode>`

      public enum AudioMergeMode
      extends java.lang.Enum<AudioMergeMode>

  Supported modes for audio stream merge

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Mix` | Audio streams will be mixed together
    `Replace` | Provided audio stream will replace the main one

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioMergeMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AudioMergeMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioMergeMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Mix

          public static final AudioMergeMode Mix

      Audio streams will be mixed together

    - #### Replace

          public static final AudioMergeMode Replace

      Provided audio stream will replace the main one

  - ### Method Detail

    - #### values

          public static AudioMergeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioMergeMode c : AudioMergeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioMergeMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AudioMergeMode fromInt​(int v)

    - #### intValue

          public int intValue()